package com.fjhx.purchase.service.arrival;

import com.fjhx.purchase.entity.arrival.po.ArrivalDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.arrival.vo.ArrivalDetailVo;
import com.fjhx.purchase.entity.arrival.dto.ArrivalDetailSelectDto;
import com.fjhx.purchase.entity.arrival.dto.ArrivalDetailDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;


/**
 * <p>
 * 到货明细单 服务类
 * </p>
 *
 * @author
 * @since 2023-04-07
 */
public interface ArrivalDetailService extends BaseService<ArrivalDetail> {

    /**
     * 到货明细单分页
     */
    Page<ArrivalDetailVo> getPage(ArrivalDetailSelectDto dto);

    /**
     * 到货明细单明细--可传多个ID
     */
    List<ArrivalDetailVo> detail(List<Long> ids);

    /**
     * 到货明细单新增
     */
    void add(ArrivalDetailDto arrivalDetailDto);

    /**
     * 到货明细单编辑
     */
    void edit(ArrivalDetailDto arrivalDetailDto);

    /**
     * 到货明细单删除
     */
    void delete(Long id);

    /**
     * 统计到货明细总数
     *
     * @return
     */
    BigDecimal getSumCount(Long purchaseDetailId, Long businessId);

    List<ArrivalDetailVo> getArrivalDetail(IWrapper<ArrivalDetail> wrapper1);
}
